# $Revision: 1.51 $, $Date: 2011/11/01 21:56:46 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	A GLib library to ease writing telepathy clients
Summary(pl.UTF-8):	Biblioteka oparta na GLib dla aplikacji służących do komunikacji
Name:		telepathy-glib
Version:	0.16.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://telepathy.freedesktop.org/releases/telepathy-glib/%{name}-%{version}.tar.gz
# Source0-md5:	22dd16bdf4f987c602c719a1efc3d268
URL:		http://telepathy.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-devel >= 0.95
BuildRequires:	dbus-glib-devel >= 0.82
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gobject-introspection-devel >= 0.9.7
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.15}
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 0.21
BuildRequires:	python-modules >= 2.5
BuildRequires:	vala >= 1:0.11.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
telepathy-glib is a D-Bus framework for unifying real time
communication, including instant messaging, voice calls and video
calls. It abstracts differences between protocols to provide a unified
interface for applications.

%description -l pl.UTF-8
telepathy-glib jest szkieletem opartym na D-Bus ujednolicającym
komunikację w czasie rzeczywistym, włączając w to komunikatory oraz
komunikację głosową i za pośrednictwem wideo. Zasłania warstwą
abstrakcji różnice pomiędzy protokołami dostarczając jednolity
interfejs dla aplikacji.

%package devel
Summary:	Header files for telepathy-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki telepathy-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.82
Requires:	glib2-devel >= 1:2.28.0

%description devel
Header files for telepathy-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki telepathy-glib.

%package static
Summary:	Static telepathy-glib library
Summary(pl.UTF-8):	Statyczna biblioteka telepathy-glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static telepathy-glib library.

%description static -l pl.UTF-8
Statyczna biblioteka telepathy-glib.

%package apidocs
Summary:	telepathy-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API telepathy-glib
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
telepathy-glib API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API telepathy-glib.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable apidocs gtk-doc} \
	--enable-introspection \
	--enable-vala-bindings \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libtelepathy-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtelepathy-glib.so.0
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtelepathy-glib.so
%{_libdir}/libtelepathy-glib.la
%dir %{_includedir}/telepathy-1.0
%dir %{_includedir}/telepathy-1.0/telepathy-glib
%dir %{_includedir}/telepathy-1.0/telepathy-glib/_gen
%{_includedir}/telepathy-1.0/telepathy-glib/*.h
%{_includedir}/telepathy-1.0/telepathy-glib/_gen/*.h
%{_pkgconfigdir}/telepathy-glib.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/telepathy-glib.*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtelepathy-glib.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/telepathy-glib
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: telepathy-glib.spec,v $
Revision 1.51  2011/11/01 21:56:46  kiesiu
- updated to 0.16.1

Revision 1.50  2011/10/24 18:16:12  kiesiu
- updated to 0.16.0

Revision 1.49  2011/09/30 03:59:11  wiget
- up to 0.15.5

Revision 1.48.2.3  2011/09/01 21:31:51  patrys
- 0.15.5
- seems to cause problems with latest gobject-introspection

Revision 1.48.2.2  2011/07/11 11:23:59  patrys
- 0.15.3

Revision 1.48.2.1  2011/06/02 10:25:17  caleb
- Up to 0.15.1, DEVEL

Revision 1.48  2011/05/31 18:04:58  megabajt
- updated to 0.14.7

Revision 1.47  2011/04/28 10:54:57  megabajt
- updated to 0.14.5

Revision 1.46  2011/04/13 12:12:45  caleb
- Up to 0.14.3

Revision 1.45  2011/03/23 23:25:34  wiget
- rel. 1

Revision 1.44  2011/03/23 23:11:28  wiget
- up to 0.14.1

Revision 1.43  2011/03/22 09:44:53  wiget
- merge DEVEL branch

Revision 1.42  2011/03/22 09:06:50  caleb
- Up to 0.14.0
- Rel 0.1 because bug in stable version of vala causes build fail. https://bugs.freedesktop.org/show_bug.cgi?id=32673

Revision 1.41  2011/02/23 21:05:59  megabajt
- stable branch on HEAD (0.13.x moved to DEVEL)

Revision 1.40.2.3  2011/03/09 12:31:23  wiget
- up to 0.13.16

Revision 1.40.2.2  2011/03/06 12:12:15  wiget
- 0.13.15

Revision 1.40.2.1  2011/02/26 13:47:05  patrys
- won't build with stable vala due to a bug in it

Revision 1.40  2011/02/21 23:15:04  wiget
- updated to 0.13.13

Revision 1.39  2010/12/17 10:05:54  caleb
- Up to 0.13.9

Revision 1.38  2010/12/09 12:48:03  caleb
- Up to 0.13.8

Revision 1.37  2010/11/18 10:17:00  caleb
- Up to 0.13.6

Revision 1.36  2010/11/08 10:10:26  caleb
- Up to 0.13.5

Revision 1.35  2010/11/05 13:11:20  caleb
- Up to 0.13.4

Revision 1.34  2010/09/28 19:36:30  patrys
- 0.12.0

Revision 1.33  2010/09/19 15:41:51  patrys
- 0.11.16

Revision 1.32  2010/08/31 13:03:40  patrys
- BR: vala

Revision 1.31  2010/08/31 13:03:12  patrys
- vala

Revision 1.30  2010/08/27 08:12:40  patrys
- 0.11.14

Revision 1.29  2010/08/04 12:26:05  patrys
- 0.11.11

Revision 1.28  2010/07/22 18:28:56  patrys
- 0.11.10

Revision 1.27  2010/05/26 09:41:23  patrys
- 0.11.6

Revision 1.26  2010/05/22 10:10:58  patrys
- 0.11.5

Revision 1.25  2010/05/03 20:16:13  patrys
- 0.11.4

Revision 1.24  2010/04/01 09:12:48  patrys
- 0.10.2

Revision 1.23  2010/01/22 10:52:17  patrys
- 0.10.0 stable

Revision 1.22  2009/12/07 16:53:08  patrys
- 0.9.2

Revision 1.21  2009/11/29 00:16:01  sparky
- BR: docbook-dtd412-xml, python-modules

Revision 1.20  2009/11/02 13:39:40  patrys
- 0.9.1

Revision 1.19  2009/09/08 21:29:42  patrys
- 0.7.36

Revision 1.18  2009/08/18 08:10:43  patrys
- 0.7.34

Revision 1.17  2009/07/11 20:07:20  patrys
- 0.7.33

Revision 1.16  2009/05/28 10:16:35  patrys
- 0.7.31

Revision 1.15  2009/04/03 21:00:57  patrys
- 0.7.29

Revision 1.14  2009/03/21 12:14:48  megabajt
- updated to 0.7.27

Revision 1.13  2009/03/15 16:39:05  patrys
- 0.7.26

Revision 1.12  2008/07/31 15:22:59  patrys
- 0.7.13

Revision 1.11  2008-05-18 16:03:09  patrys
- 0.7.7

Revision 1.10  2008-04-22 03:35:57  aredridel
- 0.7.6

Revision 1.9  2008-03-06 07:15:55  aredridel
- 0.7.4

Revision 1.8  2007-12-17 01:07:27  aredridel
- 0.7.0

Revision 1.7  2007-10-27 19:14:24  megabajt
- updated to 0.6.0

Revision 1.6  2007/07/06 22:23:18  qboosh
- release 3

Revision 1.5  2007/07/06 22:22:54  qboosh
- static-only libtelepathy-glib-unstable.a moved to -devel

Revision 1.4  2007/06/11 20:09:40  megabajt
- package telepathy-glib-unstable (required by telepathy-idle)
- release 2

Revision 1.3  2007/06/02 22:44:48  megabajt
- updated to 0.5.13
- added apidocs bcond and subpackage

Revision 1.2  2007/05/14 21:09:38  qboosh
- glib2 epoch

Revision 1.1  2007/05/14 19:21:55  aredridel
- added
